=== bindings/python/requirements.txt ===
pylibiio
