=== debian/changelog ===
libad9361-iio (0.3-4) unstable; urgency=medium

  * Use -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113106)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Oct 2025 22:27:18 -0400

libad9361-iio (0.3-3) unstable; urgency=medium

  * update to v0.3-3-g05fbfed
  * Update Standards-Version to 4.7.2, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Oct 2025 22:04:38 -0400

libad9361-iio (0.3-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 05 Aug 2023 21:18:44 -0400

libad9361-iio (0.3-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental: new source package name, new Python package

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 12 Jul 2023 23:13:48 -0400

libad9361 (0.2-3) UNRELEASED; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 22 Oct 2022 00:30:42 -0000

libad9361 (0.2-2) unstable; urgency=medium

  * update to v0.2-32-gfe0babd

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 10 Jun 2021 18:24:42 -0400

libad9361 (0.2-1) unstable; urgency=medium

  * New upstream release
  * update to v0.2-8-ge7bb5cd
  * make the documentation reproducible (Closes: #922520)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 14 Aug 2019 21:13:06 -0400

libad9361 (0.1-5) unstable; urgency=medium

  * update to b98b1cd

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Apr 2018 21:03:18 -0400

libad9361 (0.1-4) unstable; urgency=medium

  * Adopt package, update Vcs

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Sep 2017 20:41:48 -0400

libad9361 (0.1-3) unstable; urgency=medium

  * update to 6027674

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 15:51:20 -0400

libad9361 (0.1-2) unstable; urgency=medium

  * update to faa8556

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Apr 2016 00:12:24 -0400

libad9361 (0.1-1) unstable; urgency=medium

  * Initial upload to Debian (closes: #814039)
  * Sponsor libad9361 for Paul Cercueil
  * Update to 3.0 (quilt)
  * Add no-op watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 07 Feb 2016 16:23:10 -0500

libad9361 (0.1) unstable; urgency=low

  * Initial release.

 -- Paul Cercueil <paul.cercueil@analog.com>  Wed, 29 Jul 2015 14:46:52 +0200
