=== debian/control ===
Source: libad9361-iio
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
	       dh-python,
               libiio-dev (>= 0.24),
               pkgconf,
	       python3-dev,
	       python3-setuptools
Standards-Version: 4.7.2
Homepage: https://github.com/analogdevicesinc/libad9361-iio
Vcs-Browser: https://salsa.debian.org/debian/libad9361
Vcs-Git: https://salsa.debian.org/debian/libad9361.git

Package: libad9361-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library of functions specific to the Analog Devices AD9361
 This library contains a few functions useful to configure and use the
 Analog Devices AD9361 Agile Transceiver.
 .
 The device combines an RF front end with a flexible mixed-signal
 baseband section and integrated frequency synthesizers. The AD9361
 operates in the 70 MHz to 6.0 GHz range, covering most licensed and
 unlicensed bands. Channel bandwidths from less than 200 kHz to 56 MHz
 are supported. This library provides hardware support for Software
 Defined Radio aplications.
 .
 Using libiio allows use with both locally attached devices and
 hardware available over a network link.

Package: libad9361-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libad9361-0 (= ${binary:Version}), ${misc:Depends}
Description: Development files specific to the Analog Devices AD9361
 This library contains a few functions useful to configure and use the
 Analog Devices AD9361 Agile Transceiver.
 .
 The device combines an RF front end with a flexible mixed-signal
 baseband section and integrated frequency synthesizers. The AD9361
 operates in the 70 MHz to 6.0 GHz range, covering most licensed and
 unlicensed bands. Channel bandwidths from less than 200 kHz to 56 MHz
 are supported. This library provides hardware support for Software
 Defined Radio aplications.
 .
 Using libiio allows use with both locally attached devices and
 hardware available over a network link.
 .
 This package contains the development files.

Package: python3-ad9361
Section: python
Architecture: any
Multi-Arch: foreign
Depends: libad9361-dev (= ${binary:Version}),
	 python3, python3-libiio, ${python3:Depends},
	 ${misc:Depends}
Description: Module specific to the Analog Devices AD9361 (Python)
 This library contains a few functions useful to configure and use the
 Analog Devices AD9361 Agile Transceiver.
 .
 The device combines an RF front end with a flexible mixed-signal
 baseband section and integrated frequency synthesizers. The AD9361
 operates in the 70 MHz to 6.0 GHz range, covering most licensed and
 unlicensed bands. Channel bandwidths from less than 200 kHz to 56 MHz
 are supported. This library provides hardware support for Software
 Defined Radio aplications.
 .
 Using libiio allows use with both locally attached devices and
 hardware available over a network link.
 .
 This package provides Python bindings for controlling the AD9361.
