=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DPYTHON_BINDINGS=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_compress:
	dh_compress -X.c -X.C
